> For the complete documentation index, see [llms.txt](https://doklado-mnojd9vj.documentationai.com/llms.txt).
> Use it to discover all available pages before exploring further.

# Returns documents for selected date range from unprocessed documents section


<PlaygroundComponent />

<AuthParams schemes={["apiKey"]}>
<AuthType scheme="apiKey">
<ParamField header="api_key" param-type="string" required="true">
API Key for authentication. Provide your API key in the header.
</ParamField>
</AuthType>
</AuthParams>

<BodyParams contentTypes={["application/json"]} defaultType="application/json">
  <ContentType type="application/json">
<ParamField showLocation="false" body="data" param-type="object" required="false">

<Expandable title="Object Properties" default-open="false">

  <ParamField showLocation="false" body="organizationId" param-type="string" required="false" examples-b64="W3sibmFtZSI6ImV4YW1wbGUiLCJ2YWx1ZSI6IjQ3ODQ3Nzg2In1d">
  Company identification number (IČO)
  </ParamField>

  <ParamField showLocation="false" body="dateFrom" param-type="string" required="false">
  Export documents from date.
  </ParamField>

  <ParamField showLocation="false" body="dateLastUpdated" param-type="string" required="false">
  Last updated time
  </ParamField>

  <ParamField showLocation="false" body="dateTo" param-type="string" required="false">
  Export documents until date.
  </ParamField>

  <ParamField showLocation="false" body="orderBy" param-type="string" required="false" enum="delivery_date,creation_date">
  Order Documents
  </ParamField>

  <ParamField showLocation="false" body="searchAfter" param-type="array" required="false" examples-b64="W3sibmFtZSI6ImV4YW1wbGUiLCJ2YWx1ZSI6WyIyMDI1LTA2LTEyVDEyOjAwOjAwLjAwMCIsInpxdUxnZ0l2UTlWbXYzUzNuMkVSIl19XQ==">
  Tokens for paggination when sorting
  </ParamField>

  <ParamField showLocation="false" body="orderByDescending" param-type="boolean" required="false" examples-b64="W3sibmFtZSI6ImV4YW1wbGUiLCJ2YWx1ZSI6ZmFsc2V9XQ==">

  </ParamField>

  <ParamField showLocation="false" body="dateType" param-type="string" required="false" enum="create,delivery">
  Get documents by issue date or by document creation date.
  </ParamField>

  <ParamField showLocation="false" body="approvalStatus" param-type="array" required="false" examples-b64="W3sibmFtZSI6ImV4YW1wbGUiLCJ2YWx1ZSI6W119XQ==">

  </ParamField>

</Expandable>
</ParamField>
  </ContentType>
</BodyParams>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/unprocessed-documents" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "organizationId": "47847786",
    "dateFrom": "2024-12-25T10:00:00Z",
    "dateLastUpdated": "2024-12-25T10:00:00Z",
    "dateTo": "2024-12-25T10:00:00Z",
    "orderBy": "delivery_date",
    "searchAfter": [
      "2025-06-12T12:00:00.000",
      "zquLggIvQ9Vmv3S3n2ER"
    ],
    "orderByDescending": false,
    "dateType": "create",
    "approvalStatus": []
  }
}'
```

```python
import requests
import json

url = "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/unprocessed-documents"
headers = {
  "Content-Type": "application/json",
  "api_key": "YOUR_API_KEY"
}
data = {
  "data": {
    "organizationId": "47847786",
    "dateFrom": "2024-12-25T10:00:00Z",
    "dateLastUpdated": "2024-12-25T10:00:00Z",
    "dateTo": "2024-12-25T10:00:00Z",
    "orderBy": "delivery_date",
    "searchAfter": [
      "2025-06-12T12:00:00.000",
      "zquLggIvQ9Vmv3S3n2ER"
    ],
    "orderByDescending": false,
    "dateType": "create",
    "approvalStatus": []
  }
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
```

```javascript
const response = await fetch("https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/unprocessed-documents", {
  method: "POST",
  headers: {
  "Content-Type": "application/json",
  "api_key": "YOUR_API_KEY"
},
  body: JSON.stringify({
  "data": {
    "organizationId": "47847786",
    "dateFrom": "2024-12-25T10:00:00Z",
    "dateLastUpdated": "2024-12-25T10:00:00Z",
    "dateTo": "2024-12-25T10:00:00Z",
    "orderBy": "delivery_date",
    "searchAfter": [
      "2025-06-12T12:00:00.000",
      "zquLggIvQ9Vmv3S3n2ER"
    ],
    "orderByDescending": false,
    "dateType": "create",
    "approvalStatus": []
  }
})
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
    "encoding/json"
)

func main() {
    data := []byte(`{
  "data": {
    "organizationId": "47847786",
    "dateFrom": "2024-12-25T10:00:00Z",
    "dateLastUpdated": "2024-12-25T10:00:00Z",
    "dateTo": "2024-12-25T10:00:00Z",
    "orderBy": "delivery_date",
    "searchAfter": [
      "2025-06-12T12:00:00.000",
      "zquLggIvQ9Vmv3S3n2ER"
    ],
    "orderByDescending": false,
    "dateType": "create",
    "approvalStatus": []
  }
}`)

    req, err := http.NewRequest("POST", "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/unprocessed-documents", bytes.NewBuffer(data))
    if err != nil {
        panic(err)
    }

    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("api_key", "YOUR_API_KEY")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/unprocessed-documents')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['api_key'] = 'YOUR_API_KEY'
request.body = '{
  "data": {
    "organizationId": "47847786",
    "dateFrom": "2024-12-25T10:00:00Z",
    "dateLastUpdated": "2024-12-25T10:00:00Z",
    "dateTo": "2024-12-25T10:00:00Z",
    "orderBy": "delivery_date",
    "searchAfter": [
      "2025-06-12T12:00:00.000",
      "zquLggIvQ9Vmv3S3n2ER"
    ],
    "orderByDescending": false,
    "dateType": "create",
    "approvalStatus": []
  }
}'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - Successful operation" default-open="true">

<ResponseField name="data" field-type="object" required="false">

<Expandable title="Object Properties" default-open="false">

<ResponseField name="totalDocuments" field-type="number" required="false">
total documents in not processed documents section
</ResponseField>

<ResponseField name="notApprovedDocuments" field-type="number" required="false">
total documents in not processed documents section that are not approved
</ResponseField>

<ResponseField name="documents" field-type="array" required="false">

<Expandable title="Array Items" default-open="false">

<ResponseField name="documentId" field-type="string" required="true">

</ResponseField>

<ResponseField name="createdAt" field-type="string" required="true">

</ResponseField>

<ResponseField name="deliveryDate" field-type="string" required="true">

</ResponseField>

<ResponseField name="organizationName" field-type="string" required="true">

</ResponseField>

<ResponseField name="note" field-type="string" required="false">

</ResponseField>

<ResponseField name="comment" field-type="string" required="false">

</ResponseField>

<ResponseField name="approvalStatus" field-type="string" required="false" enum="default,rejected,approved,returned">

</ResponseField>

<ResponseField name="totalPrice" field-type="number" required="false">

</ResponseField>

<ResponseField name="currency" field-type="string" required="false">

</ResponseField>

<ResponseField name="createdBy" field-type="string" required="false">

</ResponseField>

</Expandable>
</ResponseField>

</Expandable>
</ResponseField>

<ResponseField name="success" field-type="boolean" required="false">

</ResponseField>

<ResponseField name="message" field-type="string" required="false">
optional message to help user understand error code
</ResponseField>

<ResponseField name="code" field-type="string" required="false" enum="APP_UNAUTHENTICATED,APP_INCORRECT_INPUT_DATA,SAVE_DATA_ERROR_CODE">

</ResponseField>

</Expandable>

<Expandable title="403 - Not authorized" default-open="false">

*Not authorized*

</Expandable>

<Expandable title="404 - Not found" default-open="false">

*Not found*

</Expandable>

<Expandable title="500 - Server invocation error" default-open="false">

*Server invocation error*

</Expandable>

</div>

<Response tabs={["200","403","404","500"]} dropdown="true">

```json
{
  "data": {
    "totalDocuments": "5",
    "notApprovedDocuments": "4",
    "documents": [
      {
        "documentId": "doc_12345",
        "createdAt": "2025-01-15T10:30:00Z",
        "deliveryDate": "2025-01-20",
        "organizationName": "Acme Corp",
        "note": "Urgent processing requested",
        "comment": "Reviewed by finance",
        "approvalStatus": "default",
        "totalPrice": 199.99,
        "currency": "USD",
        "createdBy": "stefan@doklado.sk"
      }
    ]
  },
  "success": true,
  "message": "example_string",
  "code": "APP_UNAUTHENTICATED"
}
```

```json
{
  "error": "Forbidden",
  "message": "You don't have permission to access this resource",
  "code": 403
}
```

```json
{
  "error": "Not Found",
  "message": "The requested resource was not found",
  "code": 404
}
```

```json
{
  "error": "Internal Server Error",
  "message": "An unexpected error occurred on the server",
  "code": 500,
  "requestId": "req_1234567890"
}
```

</Response>

